Subject: Re: linux-next: manual merge of the nand tree with the mtd tree

From: Miquel Raynal <[email-masked]>
Date: Mon, 21 Aug 2023 09:27:15 +0200

Hi Stephen,

[email-masked] wrote on Mon, 21 Aug 2023 11:55:07 +1000:

> Hi all,
> 
> Today's linux-next merge of the nand tree got a conflict in:
> 
>   drivers/mtd/nand/raw/qcom_nandc.c
> 
> between commit:
> 
>   c2fc6b694790 ("mtd: Explicitly include correct DT includes")
> 
> from the mtd tree and commit:
> 
>   93ca966b4a20 ("mtd: rawnand: qcom: Sort includes alphabetically")
> 
> from the nand tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks for the warning, I'll handle it when merging nand/next into
mtd/next before sending to Linus.

Thanks,
Miquèl